Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl
Class CustomReportDataSourceServiceFactory

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl.CustomReportDataSourceServiceFactory

All Implemented Interfaces:
  ReportDataSourceServiceFactory, org.springframework.context.ApplicationContextAware

    public class CustomReportDataSourceServiceFactory

extends java.lang.Object
implements ReportDataSourceServiceFactory, org.springframework.context.ApplicationContextAware

Author:
  swood

Field Summary
`static java.lang.String` | `PROPERTY_MAP`

Constructor Summary
`CustomReportDataSourceServiceFactory()`

Method Summary
`void` | `addDefinition(CustomDataSourceDefinition def)` add a definition to the list of definitions
`ReportDataSourceService` | `createService(ReportDataSource reportDataSource)`
`CustomDataSourceDefinition` | `getDefinitionByName(java.lang.String name)`
`CustomDataSourceDefinition` | `getDefinitionByServiceClass(java.lang.String serviceClass)`
`java.util.List` | `getDefinitions()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_MAP

    public static final java.lang.String PROPERTY_MAP

See Also:
  Constant Field Values

Constructor Detail

### CustomReportDataSourceServiceFactory

    public CustomReportDataSourceServiceFactory()

Method Detail

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext arg0)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

### createService

    public ReportDataSourceService createService(ReportDataSource reportDataSource)

  Specified by:
    `createService` in interface `ReportDataSourceServiceFactory`

### addDefinition

    public void addDefinition(CustomDataSourceDefinition def)

  add a definition to the list of definitions

### getDefinitions

    public java.util.List getDefinitions()

### getDefinitionByServiceClass

    public CustomDataSourceDefinition getDefinitionByServiceClass(java.lang.String serviceClass)

  Parameters:
    `serviceClass` -
  Returns:

### getDefinitionByName

    public CustomDataSourceDefinition getDefinitionByName(java.lang.String name)

  Parameters:
    `serviceClass` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.